TSG8 Licensing

TSG’s new licensing system works with an online licence server. Licenses are available 24 hours a day and purchases are made online by Visa or Mastercard. You can have TSG installed and licensed in a few minutes.

TSG requires an Intel-compatible PC running 32-bit or 64-bit Windows7 to Windows 10. Although TSG is a 32-bit program, 64-bit Windows is recommended. TSG can run on a range of PCs, from small AMD or Intel Atom notebooks to large multi-core PCs.

Here is a broad overview of how things normally work for new TSG customers:

  1. Acquire a free TSG Base licence. (This usually involves registering on the licence server.)
  2. Get the TSG setup program and install TSG.
  3. Start TSG and activate your licence from TSG's licence dialog.
  4. (Optional, usually some time after step 3) Purchase Premium time for your TSG Base licence, using the "Purchase time" button in TSG's licence dialog.

We (CSIRO) sell TSG through affiliates. TSG Licenses (both free and paid) are normally obtained via the TSG online store, and a link to this store can be found on an affiliate's website. Our affiliates are listed on the TSG website.

The first time that it is installed on a PC, TSG automatically sets up a temporary 30-day Viewer-mode licence. This is a convenience measure. Even though the TSG Base licence is free, it is still necessary to activate it (step 3 above) or TSG will go unlicensed once the 30 days are up.

A few options are available in the TSG online store. The main one is called TSG Base and it is free. (The others are TSG Base pre-packaged with some Premium time and they are not free. There are further TSG products that are not shown in the online store, e.g., TSG QC for HyLoggers.) The free TSG Base licence functions as a viewer, enabling you to view existing TSG datasets. Full ("Premium") TSG functionality is available through the purchase of a block of calendar time, for a TSG Base licence that you already have. Various blocks are available, ranging from 1 day to 3 years. Time blocks may be purchased as required.
(Customers who "upgrade" a TSG 7 licence that qualifies for free TSG 8 Premium time will normally receive a TSG Base licence that is pre-loaded with some Premium time. Aside from the pre-loaded Premium time, such a licence works just like a regular TSG Base licence.)

There is just one TSG 8 setup program. One normally gains access to it after acquiring a licence. After installation, TSG's functionality is determined by the licence that is activated. For example, if a plain TSG Base licence is activated then TSG will have Viewer functionality and if a TSG Base + Premium time licence is activated then TSG will have full functionality.

A TSG licence resides on the server.
When you activate a licence in TSG, TSG pulls a copy of the licence file down from the server. The server maintains an "allowed activations" counter (generally starting at 1 for a new licence) and this counter is normally decremented when the licence is activated. However, if the licence is activated two or more times in a row (without any deactivations in between) on the same PC then the counter is only decremented the first time.
When you deactivate a licence in TSG, the TSG installation becomes unlicensed and the licence is "given back" to the server. That is, the server's "allowed activations" counter is incremented. The licence may now be reactivated on the same PC or activated on a different PC.
Activation and deactivation do not require customer-service assistance, and are quick when the TSG PC is connected to the internet. (A slower, manual method is available for a PC that is not connected to the internet. It does not require customer-service assistance.)

When a Premium time purchase is made for a TSG Base licence, the time purchase is added to the licence. If the licence had some Premium time before the purchase then this time is preserved, not wiped out. Also, Premium time purchases stack. You can make two or more Premium-time purchases in a row (with the restriction of one per transaction). Each purchase's time will be added to the licence.
When Premium time is purchased for a TSG Base licence, the licence is adjusted on the server. TSG checks its licence status with the server periodically (normally once a day) and will retrieve the updated licence sooner or later. You can get TSG to do this check immediately by pressing the "Refresh" button in TSG's licence dialog.
When a TSG Base + Premium time licence is deactivated on one PC and activated on another, the other PC gets the full licence (with Premium time). So if you have two or more TSG licenses, you can move them around as it suits you.

  • End User Licence Agreement (EULA)
  • Miscellaneous
Basic guides:
  • Normal licensing and installation steps
  • Moving a normal licence to a different PC
  • Setting up dongle-locked TSG 8 licenses
  • Receiving a licence from a TSG affiliate

More detailed guides:
  • Registering for a TSG 8 licence
  • Downloading the TSG 8 setup program
  • Installing TSG 8
  • Activating a licence in TSG 8
  • Purchasing a time block
  • Licensing an off-line PC
    • Activation
    • Deactivation
    • Refreshing


Miscellaneous

TSG website

http://www.thespectralgeologist.com

or

https://research.csiro.au/thespectralgeologist/

Initial purchase

Purchase arrangements may change so a link is not given in this document. See the TSG website for a current purchase link. (The term "purchase" is used loosely here, as the normal starter product TSG Base is free.)

Licence server

We (CSIRO) lease a licence sevice from Concept Software Inc. (https://www.softwarekey.com/) The licence server is securely located in the U.S.A.
To clarify: The licence server is not something that you have to set up. All TSG 8 customers access the same server.

The licence server hosts the TSG online store and the Customer Licence Portal.

TSG accesses licence-server web services over the internet, using HTTPS and HTTP protocols.

Proxy access

If your PC accesses the internet via a proxy then your proxy service may need to be configured to grant access to https://secure.softwarekey.com on ports 443 (HTTPS) and 80 (HTTP).

Customer Licence Portal

https://secure.softwarekey.com/solo/customers/Default.aspx?AuthorID=4830534

There is also a button in TSG’s Licence dialog that will take you to this website.

Part of the process of registering for a TSG licence is the creation of an account on the licence server. You provide a password for this and are given a customer ID. After you have acquired a licence, you will have access to a "Customer Licence Portal" on the server. Log in here with your customer ID (or email address) and password. You can edit your registration information here, and there are 5 tabs in the top section that perform certain actions:

  • Payment history shows your TSG purchases.
  • Downloads lets you download the TSG setup program.
  • Licenses and activations shows your TSG licenses and, of interest, lets you view something about your licence activations. Go in here and click on the licence's entry under "License ID / Serial" then, in the next screen, click "Manage Installations". The next screen shows whether your licence is activated somewhere. (The cryptic installation ID isn't much help on its own but the history might give you a clue as to who has the licence.)
  • Renewals and upgrades is another way to buy Premium time for your licence / licenses. The preferred way is via the "Purchase time" in TSG's Licence dialog. Pleae use the preferred way (in TSG) so that you buy time for the right licence (should you have more than 1) and so your time purchases are tracked to your affiliate.
  • Product registration is of use when you receive a TSG licence from an affiliate and wish to register it in your name.

TSG 8 setup program

There are three ways to access the setup program.

  • If you have TSG installed then simply select the Help -> Check for an update menu. If you do not have the latest version of TSG installed then it will offer to download and install the latest setup. However it will do nothing if you already have the latest version.
  • The official way to access the TSG 8 setup program is from the Downloads area of the Customer Licence Portal.
  • If you have problems with the above then you will find an alternate HTTPS download link in the TSG web-site's Support -> Downloads page. (If you have problems accessing the web page then here is a direct download link.) If you use this alternate link, please register on the licence server and obtain a licence before installing TSG.

Updating TSG

Use the first method above - select the Help -> Check for an update menu. TSG will do the rest if your version is old.
In general, you just need to run a TSG setup program to install it. You do not need to uninstall TSG first, and you do not need to do anything with your currently-activated licence.
Normally you would just install new builds of TSG as they are released but the mechanism works more generally. For example, say you have an old dataset that you'd like to change but for whatever reason you don't want to take it to the current TSG version. If you have the old TSG8 setup program handy then just run it to install over your current TSG8. (Contact me - Peter Mason - if you need an old TSG8 setup program.) Complete your changes to the old dataset. Once you're done, run the latest TSG8 setup program to get things back to normal.

Purchasing time extensions

Once you have TSG licensed, you may purchase a time block to extend its functionality from Viewer to Premium.

Time purchases are not available in the same area of the online store as the TSG Base licence. They are in a separate area and are only available once you have a TSG Base licence.

The simplest way to purchase a time block is to click the Purchase time button in TSG’s licence dialog, which may be brought up via TSG’s Help -> Licence menu. Alternatively (and not recommended), if you log in to the Customer Licence Portal then you can access time purchases via the Renewals & Upgrades area.

Time purchases are specific to a TSG Base licence so if you have more than one licence then you will see more than one set of purchase options here – be careful. A time purchase cannot be moved from one licence to another afterwards.

A time purchase is not activated in TSG like the base licence. Just click Refresh in TSG’s licence dialog after purchasing a time block.

Purchasing a licence with pre-packaged Premium time

The TSG online store now includes some options with pre-packaged time, e.g., "TSG Base with 3 years". These options are not free. Purchasing the "TSG Base with 3 years" option is equivalent to getting the free "TSG Base" option and then purchasing a 3-year time block for it afterwards. Both licenses allow the purchase of (additional) time blocks and they are functionally the same in TSG.

Using TSG 7 dongles

Although dongles are not supplied with TSG 8, if you have a TSG 7 dongle then you can use it with TSG 8 if you really want to. The procedure for setting this up is described elsewhere in this document. Keep in mind that the normal (no dongle) TSG 8 licensing system is flexible - a licence is easily transferred from one PC to another. In some ways the normal system is more convenient than a dongle lock, e.g., when sharing a TSG 8 licence with overseas colleagues.

The TSG 8 setup program does not include an option to install a dongle driver. Windows should install a driver automatically when you plug in the dongle. Contact TSG support if you have problems with this.


Normal licensing and installation steps

  1. We currently sell TSG through affiliates and you should find a link to purchase TSG on each affiliates' website. The TSG website has a page listing our affiliates.

· Click a purchase link to access the TSG online store via your web browser.

  2. Acquire a TSG8 licence.

· You will find a few options here. The first one, "TSG Base,", is free. The others are TSG Base pre-packaged with some Premium time. The free TSG Base is the option that we would normally recommend and it is the option that this section will deal with. (Premium time can be purchased for TSG Base later on, as required.)

· Select TSG Base for “purchase” ($0.00) to start the registration procedure on the licence server.

· After registration, a licence is emailed to you and there is a “Customer License Portal” that you can log onto.

· This email has your licence’s ID and activation password. Be sure to save the email. You will be using this activation info for the initial activation and all that follow (e.g., when you move the licence).

· Here is a step-by-step guide.

  3. Download the TSG setup program.

· Log on to your Customer Licence Portal and click the “Downloads” area. You will be given a link to the TSG setup program.

· Here is a step-by-step guide.

  4. Run the setup program to install TSG.

· Local admin privilege is not required.

· Here is a step-by-step guide.

  5. Activate your licence in TSG.

· If you have a TSG7 dongle and would like your TSG8 licence to be locked to it then plug in the dongle and, if necessary, wait for Windows to install a driver for it. (The dongle's LED will light up once it's ready.)

· Run TSG.

· If TSG does not put up its licence dialog automatically then select Help -> Licence from the menu-bar to bring it up.

· Click Activate a purchase, then (in the next dialog) enter your licence ID and activation password (from email) and click Activate.

· Local admin privilege is not required.

· Once TSG is restarted, you will have a Viewer licence.

· Here is a guide with pictures.

  6. For full TSG Premium functionality, purchase a time block.

· In TSG, select Help -> Licence from the menu-bar to bring up the licence dialog.

· Click Purchase time. Your web browser will be opened on an area of the TSG online store where time purchases are offered. Purchase one. A time purchase updates your licence’s expiry date on the server.

· Back in TSG’s licence dialog, click Refresh to retrieve your updated licence from the server. (A time purchase is not activated like the base licence. A refresh in TSG is all that's required.)

· Did I mention that a time purchase is not activated like the base licence? Please remember: just click Refresh in TSG's licence dialog to retrieve your updated licence from the server.

· Your licence will revert to Viewer functionality once the time purchase has expired.

· You can purchase time blocks when it suits you.

· Here is a guide with pictures.

· Normally, a TSG Base licence is obtained and activated, and later on a time block is purchased as described above. However it is possible to buy a time block before activating the TSG Base licence in TSG (i.e., before step 5). This can be done from the Customer License Portal. When activated, this licence will have Premium time on it.


Moving a normal licence to a different PC

This is for a normal licence. A dongle-locked licence isn't moved like this.
You can do this all yourself, without the support of a customer service operator.

There is no limit to the number of times that you can move a TSG 8 licence, and there is no limit to the number of different PCs involved - only that just one PC can have the licence at any one time.

  1. On the first PC, run TSG and select Help -> Licence from the menu-bar to bring up the licence dialog.
  2. Click Deactivate (for moving).

· TSG closes and becomes unlicensed on the first PC. The licence is checked back to the server.

  3. If necessary, install TSG on the second PC. (This only needs to be done once.)
  4. On the second PC, run TSG and (if necessary) select the menu Help -> Licence to bring up the licence dialog.
  5. Click Activate a purchase, then (in the next dialog) enter your licence ID and activation password and click Activate.

· The second PC now has the licence, including any TSG-Core time on it.


Setting up dongle-locked TSG8 licenses

Although dongles are not supplied with TSG 8, you can use a TSG 7 dongle if you have one. Keep in mind that TSG 8's normal (no dongle) licence locking and moving mechanism is flexible - in some cases more useful than a dongle lock. (For example, the normal system allows you to share a TSG licence with overseas colleagues.)

  1. If you don't already have a TSG 8 licence then acquire a (one) TSG8 licence from the TSG online store.
  2. On each PC concerned:

· Plug in the TSG7 dongle.
Windows should install a driver for it automatically, if necessary. The dongle's LED should light up when it's ready. If this does not happen then try plugging the dongle into a different USB socket or using a powered USB hub. (The dongles are sensitive to USB voltage.)

· Install TSG.

· Run TSG.

· If TSG does not put up its licence dialog automatically then select Help -> Licence from the menu-bar to bring it up.

· Click Activate a purchase, then (in the next dialog) enter your licence ID and activation password and click Activate.

· Unplug the dongle after TSG has closed.

  3. The PCs are now set up. To use TSG on any one of them, plug in the TSG7 dongle before starting TSG.

· If you purchase a time block while working on one PC and then start working on another PC, you may need to click Refresh in TSG’s licence dialog to update the other PC’s licence.

Note: Once you have set up some PCs with dongle locking, be careful about deactivating the licence on any PC. Doing so will deactivate the licence for all of the PCs. Reactivating one with the dongle plugged in should return things to normal though.


Receiving a licence from a TSG affiliate

Although our normal business model is for a TSG customer to purchase a licence directly from the TSG shopping cart, there may be occasions when a licence is acquired through an affiliate. Here’s what to do.

  1. The affiliate will provide you with a Licence ID and activation password.
  2. Open your web browser on the Customer License Portal and create a new account. Here’s a link to the portal:
    https://secure.softwarekey.com/solo/customers/Default.aspx?AuthorID=4830534

· Keep a record of your customer ID and login password once you have created the account.

  3. Once logged in, click the tab named Product Registration.

· Fill in the License ID and Password fields with the items from step 1, then click Find and Register. The licence server should find the licence and put it in your name.

  4. At this point you should see a Download button. (Alternatively, click the Downloads tab in the License Portal.) Click it to retrieve the TSG setup program.
  5. Proceed with TSG installation and licence activation.


Registering for a TSG8 Licence (detailed)

When you click a TSG purchase link provided by a TSG affiliate or found on the affiliates page of the TSG website, your web browser will be opened on TSG’s online store. You should see a page similar to the one shown below.

  • Click the TSG Base option.
  • You get a new screen showing TSG Base's description and price ($0.00). Click Order now!

--------------------------------

Next, TSG’s EULA (End User Licence Agreement) will be presented to you.

  • To proceed, tick the box labelled “I accept the terms and conditions in the above contract”, then click I Agree.

--------------------------------

After that you get another chance to change your mind.

  • Click Checkout to proceed.

--------------------------------

Now create an account on the licence server.

  • If you already have an account then enter your credentials on the right and click Log in.
  • If you do not have an account yet then enter your email address on the left and click Continue. (Be sure to enter your email address correctly.)

--------------------------------

If you are creating a new account then you will be presented with a form to fill in. If you already have an account then you will see a similar form where you can confirm your details. As noted in the EULA, your details will be kept private.

  • The fields in red are required.
  • Keep a record of your password.
  • Click Continue once you’re done.

--------------------------------

You are almost there. There is no form for payment details as the TSG Base option is free.

  • Click Place Order.

--------------------------------

You will be presented with an invoice (for $0.00).

  • The invoice shows the License ID and Activation Password required later in TSG, for activating the licence.
  • The invoice will also be emailed to you.
  • Keep this email safe.


Downloading the TSG8 setup program (detailed)

Currently the TSG setup program is available from a link in the Downloads page on the TSG website, and also from the Customer License Portal for those customers who have registered on the server. This section describes the second route – how to download the setup program from the licence server.

Log on to the Customer License Portal. Here is the link:

https://secure.softwarekey.com/solo/customers/Default.aspx?AuthorID=4830534

  • As the red text says, you can’t use a licence’s credentials for logging in. You must provide the credentials that you were given when creating the server account.
  • Click Log In once you have entered your credentials.

--------------------------------

You should see a page like the one below.

  • There are various things that you can do here, but we have come for the TSG setup program so click Downloads.

--------------------------------

You should see a “TSG Base” entry.

  • Click Download.

--------------------------------

You will be presented with TSG’s EULA.

  • To proceed with the download, tick the box labelled “I accept the terms and conditions in the above contract”, then click Agree & Download.
  • Your web browser should download the TSG setup program.


Installing TSG8 (detailed)

The TSG setup program can be run for a first-time installation or an update - i.e., when you already have (an older version of) TSG 8 installed. When updating, it is not necessary (or recommended) to uninstall the old TSG 8 first.

Run the TSG setup program.

  • Local admin privilege is not required.

--------------------------------

TSG’s ELUA is presented.

  • You must click I Agree in order to proceed.

--------------------------------

Consider your options and then install TSG:

  • The “small SWIR reference library” has mean spectra from the SWIR TSA reference library that is built into TSG. It gets installed alongside the TSG executable.
  • “Start menu” and “Desktop icon” are standard options when installing a Windows program.
  • Click Install to install TSG.
  • TSG is installed in the subdirectory “The Spectral Geologist”, in your “\Users\xxx\AppData\Local” directory (your login instead of “xxx”).


Activating a licence in TSG8 (detailed)

If you have a TSG7 dongle and would like to lock your TSG8 licence to it then plug it in and wait for the dongle's LED to light up. If TSG is already running then close it first.

--------------------------------

Start TSG. If the licence dialog does not come up automatically then invoke it with TSG’s Help -> Licence menu.

  • Click Activate a purchase.
  • Local admin privilege is not required.

--------------------------------

Another dialog is brought up for licence activation. Follow the text.

  • Enter your licence’s ID and Activation Password.
    These activation codes can be found on the invoice you received when you first obtained your TSG Base licence. Time purchase are not activated like this and there are no activation codes on their invoices.
  • Click Activate.

--------------------------------

TSG will close and be licensed the next time it is started.

  • The initial licence for “TSG Base” is a free Viewer licence.
  • The text shown at the bottom of TSG's splash screen shows the licence's state. If a time purchase is active and valid then it will show how many days of Core functionality are left, otherwise it will state that TSG is in Viewer mode.


Purchasing a time block (detailed)

The normal starting licence, "TSG Base", is a free Viewer licence which allows you to view existing TSG datasets. If you would like full functionality then you need to purchase a time block for your licence. Your licence will then give you premium TSG Premium functionality for the duration of the time block, and revert to Viewer functionality once the block's time period has passed.
(A time block may also be purchased for a licence that already has some Premium time. The purchase will extend the licence's Premium time period.)

This section describes buying a time block from TSG. You should have TSG installed with the initial licence activated before you purchase a time block.

  • It is possible to log on to the Customer License Portal right after obtaining the free TSG Base licence and purchase a time block even before installing TSG. That procedure will not be dealt with here, except to say that the base licence is activated in the usual way and has its Premium time once activated.

Note

  1. If there is more than one TSG Base licence registered in your name then be careful to buy the time block for the “right” one. Once purchased for a licence, time cannot be moved to another licence.
  2. Do not purchase more than one time block for a licence in one transaction. Have just one time purchase in the shopping cart.
  3. You can buy a time block for your licence while it still has some premium time left. The new purchase's time will be added to your licence.
    • Time purchases stack. If you like, you can purchase several time blocks for your licence. Just keep point 2 in mind - purchase each one in a separate transaction. Each block's time will be added in turn to your licence.
  4. A time purchase is not activated in TSG like a base licence. A Refresh in TSG is all that is needed.

--------------------------------

Start TSG and bring up the licence dialog from TSG’s Help -> Licence menu.

  • Click Purchase time.

--------------------------------

Your web browser will try to open on an area of the TSG online store where time purchases are offered. Before it can get there, it will have you log on with your Customer Licence Portal credentials.

  • Click Log In once you have entered your credentials.

--------------------------------

You should see a range of time blocks on offer.

  • These are blocks of calendar time.
  • If there is more than one TSG Base licence registered in your name and you are using an old version of TSG 8 then you will see more than one set of the above options. There will be one set per licence. Be careful to choose an option from the right set. Match the set’s License ID with the Licence field shown in TSG’s licence dialog.
  • Choose an item and click Add to Cart in its row.
  • Do not purchase more than one time block for the same base licence in one transaction.

--------------------------------

You will be presented with TSG’s EULA.

  • To proceed with the purchase, tick the box labelled “I accept the terms and conditions in the above contract”, then click I Agree.

--------------------------------

Your selection will be added to the shopping cart.

  • If you are in Australia, you will see that GST has been added to the item cost.
  • Click Checkout.

--------------------------------

You are shown your server registration details and asked to confirm them.

  • Click Continue after checking your details.

--------------------------------

We are closing in on the transaction.

  • The only payment option is credit card: Visa Or MasterCard.
  • Click Continue.

--------------------------------

Complete your payment details.

  • Click Continue.

--------------------------------

After you confirm the purchase, you will be shown an invoice. The invoice will also be emailed to you. Behind the scenes, the licence server will have adjusted your licence’s expiry date. An updated licence resides on the server. The final step is to bring the updated licence into TSG.

Go back to TSG and bring up the licence dialog if necessary.

  • Click Refresh. This will retrieve the updated licence from the server and load it into TSG.
  • Reminder: A time purchase is not activated like a base licence. Do not concern yourself with trying to find activation codes on the time purchase's invoice. A Refresh in TSG is all that is needed.


Licensing an off-line PC

TSG's new licensing system is best suited to a PC that is normally connected to the internet. However it can be used with a PC that is seldom or never connected to the internet. Before we start, the following should be noted:

  • You will require internet access on another PC or possibly a mobile phone. You will also need to be able to transfer files (or at least text) between this PC (or phone) and the isolated PC - e.g., using a memory stick.
  • Once installed and licensed on a PC, TSG tries to access the licence server periorically to check for changes to the licence. If TSG cannot access the server then it will put up a warning dialog. The warning dialog gives you the option to prepare a file for manual licence refreshing. (You can also invoke this option when you want by clicking Refresh in TSG's Licence dialog.) If TSG fails to receive a refreshed licence for too long a period (currently 45 days) then it will stop working until internet access is restored to the PC or a manual refresh is done.
  • If you back-date the PC's clock then TSG is likely to detect it and refuse to load its licence on startup.

Licence activation will be dealt with first, then deactivation and finally refreshing. But first:

Off-line "transactions"

The activation and refresh tasks each involve a transaction with the licence server:

  1. Have TSG prepare a request file on the isolated PC.
  2. Transfer the request file onto a networked PC, then submit it to the licence server.
  3. Download the licence server's response file on the networked PC, then transfer it to the isolated PC.
  4. Have TSG (on the isolated PC) process the response file.

These steps will be fleshed out below but it is important to note that TSG tracks a transaction. TSG starts tracking a session ID when preparing a request in step 1, and expects to find the same ID when processing the response in step 4. You should not start a transaction before an earlier one has been completed.

--------------------------------

Activating a licence off-line

  • Using the online PC, acquire a TSG8 licence and download the TSG setup program (1 to 3 in the normal licensing and installation steps).
  • Copy the setup program to the off-line PC (e.g., using a memory stick) and install TSG there.
  • Run TSG. If the licence dialog does not come up automatically then bring it up using TSG's Help -> Licence menu.

  • Click Activate a purchase.

--------------------------------

The Licence Activation dialog will come up.

  • Make sure that the Offline-files activation choice is selected at the top.

  • Fill in the Licence ID and Password fields from your invoice.
  • Click Create a request file.
  • A standard Windows dialog will come up, requesting a name for the file that you are about to create. Keep the default name if you like. (The name does not matter.) You might find it convenient to save the file to the Desktop. Click Save.

The following informational dialog will come up.

  • Click OK.

Back in TSG, you will find that the Licence Activation dialog looks different now.

  • Do not create another request file. The request button is now red to warn you: TSG knows that a request is in the works and is tracking it. TSG will keep tracking the transaction if you restart it or even reboot your PC.
  • We will come back to this dialog later.

--------------------------------

Copy the request file to the PC that has internet access. Use the internet browser on that PC to access the website: https://secure.softwarekey.com/solo/customers/ManualRequest.aspx

  • Click Choose file on the right to select your request file using a standard Windows file-selection dialog.
  • Click Submit on the right to upload the file to the licence server.

If the request is valid, the licence has an activation to check out and the server can be reached then the page will now look something like this:

  • Click Download to save the response file. Your web browser will download it as Response.xml and (by default) put it in your usual Downloads folder.
  • Look after that response file! It carries a licence activation.

Problem working with files?

If your connected device is a mobile phone rather than a PC then you might have an issue working with the request or response files. For example a phone might not provide a way to download the response file. An important thing to note is that the request and response files both contain plain text - quite a lot of inscrutable text but still, plain text. If you can find a way to transfer text between your phone and the isolated TSG PC then you can get the system to work. Ultimately, you want the response text in a file on the TSG PC.

Get the request text onto your phone somehow. The request web page has a field on the left where you can copy & paste text from some viewing app on the phone. (Be careful to copy all of the request text.) Then click Submit on the left.

The response web page shows all of the response text and you can copy & paste it into some text-editing app on the phone. (Be careful to copy all of the text.) After that it is up to you to find a way to copy or synchronise this text to the TSG PC.

--------------------------------

We are almost there. If necessary, get TSG back to the state it was in before we started working with the licence server's manual request page. (Click Activate a purchase in TSG's Licence dialog to bring up the Licence Activation dialog, and make sure that Offline-files is selected in it.)

  • Click Register the response file and you should get a standard Windows file-selection dialog to select the response file.
  • On successful registration, TSG will close and be licensed the next time it is started.

--------------------------------

Deactivating a licence off-line

Licence deactivation with an isolated PC is possible, and works in a similar way to activation. It involves preparing a request file and submitting it to the licence server's manual request page. The main difference in flow is that there are fewer steps and a response file is not dealt with.

Before starting this procedure, you must be sure that you can get the response file from the isolated TSG PC onto a PC (or phone) that is connected to the internet.

  • Bring up TSG's Licence dialog by selecting the Help -> Licence menu item.

  • Click Deactivate (for moving). Confirmation is requested.

  • All normal so far. Click Yes. TSG tries to communicate with the licence server. Finding that it can't, it puts up the following dialog.

  • Click Yes. You get a standard Windows dialog to provide a name for the request file.
  • This is your last chance to bail out. Click Cancel if you want to abort the deactivation procedure.
  • If you provide a filename and click Save, TSG will surrender its licence to the request file and close. TSG will be unlicensed. Take care of that request file!
  • Submit the request file to the licence server as described above. The licence is checked back to the server and becomes available for activation on another PC.
  • It is done. TSG does not deal with a response file for a deactivation request. If the procedure fails right at the end then contact TSG support, giving your request file.

--------------------------------

Refreshing a licence off-line

Licence refreshing with an isolated PC is possible and also works in a similar way to activation. It is something that you need to attend to from time to time with an off-line PC.

TSG regularly checks its licence status and if it can't connect to the licence server then it will put up a warning dialog like the one below. (You can also make this happen at any time by bringing up the licence dialog with the Help -> Licence menu and clicking Refresh.)

  • Click Yes. You get a standard Windows dialog to provide a name for the request file.
  • Submit the request file to the licence server as described in activation above, download the response file, and transfer it to the off-line PC somehow.
  • The response file for a refresh request does not contain a licence activation so it is not as precious a thing as one for an activation or deactivation. Nonetheless it is good practice to take care of a licence-server response file and to run one manual licence-server transaction at a time.
  • If the licence server does not give you a response then contact TSG customer service, supplying your request file.

Back in TSG, bring up the Licence dialog if necessary with the Help -> Licence menu. Click Refresh. This time you get a dialog like the following:

  • Click Yes. You get a standard Windows dialog for selecting the response file.
  • Given a valid response file, TSG will carry on as it normally does - as if it had refreshed the licence online. It will tell you if your licence has changed significantly and / or if a new build of TSG is available.


TSG Software End User Licence Agreement

(Version 1.0: 16 December 2016)

IMPORTANT – PLEASE READ CAREFULLY

WARNING: PERMISSION TO USE THIS SOFTWARE PREMIUM VERSION OR SOFTWARE VIEWER IS CONDITIONAL UPON YOU AGREEING TO THE TERMS SET OUT BELOW. THESE TERMS SET OUT YOUR RIGHTS AND OBLIGATIONS, AS WELL AS LIMITATIONS AND EXCLUSIONS THAT MAY APPLY TO YOU. BY CLICKING THE “I ACCEPT” BUTTON, YOU ARE CONSENTING TO BE BOUND BY AND TO BE A PARTY TO THIS AGREEMENT. IF YOU DO NOT AGREE TO ALL OF THE TERMS OF THIS AGREEMENT, CLICK THE “I DO NOT ACCEPT” BUTTON OR LEAVE THE WEBSITE.

1. Introductory terms

The terms of this agreement are legally binding. Your acceptance of all of these terms is indicated by your clicking the “Accept” button when accessing the Software Premium Version or Software Viewer, and by your accessing and continuing to access the Software Premium Version or Software Viewer. The licence granted under this agreement is only given on your acceptance of all of its terms and will be subject to your continued compliance with them.

If you intend to access the Software Premium Version or Software Viewer in connection with your employment or as an agent for a principal, you should only accept this agreement if you have been authorised to do so by your employer or principal (as applicable). By accepting this agreement, you are warranting to CSIRO that you are authorised to do so on behalf of your employer or principal (as applicable).

The Software Premium Version or Software Viewer may contain third party material obtained by CSIRO under license. Your right to access such material as part of the Software Premium Version or Software Viewer is subject to any separate licence terms identified by CSIRO as part of the Software Premium Version or Software Viewer release. Those third party license terms may require you to download the relevant Software Premium Version or Software Viewer from a third party site, or may mean that the third party licensor (and not CSIRO) grants you a licence directly for those components of the Software Premium Version or Software Viewer. It is your responsibility to ensure that you have the necessary rights to access and use such third party material.

The only rights granted by CSIRO to access the Software Premium Version or Software Viewer are as set out in this agreement.

2. Meaning of words

The following words have their defined meaning when used in this agreement:

'access' means to access, install, download, copy, use, or otherwise benefit from the functionality of the Software Premium Version or Software Viewer. Access to the Software Premium Version or Software Viewer includes carrying out one or more of these actions, either personally or via an agent or employee.

'CSIRO' means the Commonwealth Scientific and Industrial Research Organisation ABN 41 687 119 230 of Limestone Ave, Campbell, ACT, Australia.

‘Hosting and Distribution Service Website’ means the SOLO server™ Software Key System™, a web-based software distribution platform owned by Concept Software, Inc., PO Box 770459, Winter Garden, FL 34777, which as at the date of this agreement is used by CSIRO under contract to distribute the Software Premium Version or Software Viewer to customers, or such other hosting and distribution service as CSIRO may use to distribute the Software Premium Version or Software Viewer to customers from time to time.

‘Licence Expiry Date’ means:

(a) For the Software Premium Version, the last day of the period applicable to the licence you have purchased at the Hosting and Distribution Service Website;

E.g. if you purchase a licence to the Software Premium Version for a 3 year period, the Licence Expiry Date will be 3 years after the date of purchase.

(b) For the Software Viewer, the date upon which CSIRO notifies you that your licence to the Software Viewer is terminated.

E.g. if you are granted a licence to the Software Viewer, the Licence Expiry Date will be the date upon which CSIRO notifies you that the licence is being terminated.

‘Maintenance Services’ means (a) rectification of software activation and installation problems arising from inherent defects in the Software Premium Version at the time of purchase, or in the Software Viewer which CSIRO determines in its absolute discretion to rectify, and (b) rectification of bugs or viruses inherent in the Software Premium Version at the time of purchase, or in the Software Viewer which CSIRO determines in its absolute discretion to rectify, but excludes services to rectify bugs or viruses introduced through your subsequent access to or use of the Software Premium Version or Software Viewer or any other operability issues arising from incompatibility with your or any third party’s hardware or software systems.

‘Product Websites’ mean:

(a) https://research.csiro.au/thespectralgeologist which may be accessed by redirection from www.thespectralgeologist.com so long as CSIRO continues to retain rights to the www.thespectralgeologist.com domain name; and

(b) the Hosting and Distribution Service Website.

'Software Premium Version' means the executable code version of ‘The Spectral Geologist’ (‘TSG’) version 8 (‘TSG8’) computer program that is made available for your access. It includes any updates or additional features that CSIRO may in its absolute discretion make available to you from time to time, except to the extent those updates or features are provided under a separate licence and/or on different terms and conditions to this agreement.

‘Software Viewer’ means the executable code version of ‘The Spectral Geologist’ (‘TSG’) viewer module that is made available for your access. It includes any updates or additional features that CSIRO may in its absolute discretion make available to you from time to time, except to the extent those updates or features are provided under a separate licence and/or on different terms and conditions to this agreement. The Software Viewer has limited functionality compared to the Software Premium Version. The Software Viewer can open and display a data-set that was created by the Premium Version or any older version of TSG. It has most of the viewing functionality of the Software Premium Version. It cannot create a new data-set, or create or modify any item in an existing data-set.

‘Support Supplier’ means a person authorised by CSIRO by written agreement to provide Support Services to end users of the Software Premium Version or Software Viewer, such as you.

‘Support Services’ in relation to your access to the Software Premium Version or Software Viewer, may include:

a) helpdesk, email, telephone and on-site support;

b) Software configuration;

c) training services; and

d) any other support services that you agree to with your Support Supplier.

‘Term’ means the period commencing on the date you are granted the licence set out in clause 3 and access rights set out in clause 4 of this Agreement and ending on the Licence Expiry Date, unless terminated earlier.

'you' means each person that accesses the Software Premium Version or Software Viewer, and also includes your employer or principal when you have authority to act on their behalf. 'your' has a corresponding meaning.

3. Licence

Provided that you have obtained the Software Premium Version or Software Viewer from CSIRO in accordance with any conditions notified on the Product Websites or otherwise in writing (including that you have paid any applicable fee), then from the date you satisfy those conditions CSIRO grants you a non-exclusive and non-transferable licence for the Term to access one copy of the Software Premium Version or Software Viewer as applicable in accordance with its standard functionality.

At the expiry of the Term of any licence you purchase to the Software Premium Version:

a) your licence and ability to access the Software Premium Version will end unless you have purchased a further licence to the Software Premium Version;

b) you will automatically be granted a licence to the Software Viewer for the Term on the terms set out in this agreement.

You acknowledge and agree that:

a) upon expiry or termination of a licence to the Software Premium Version or Software Viewer, CSIRO is entitled to remotely deactivate the relevant software; and

b) you will not take any steps to interfere with or prevent CSIRO from remotely deactivating the relevant software.

No licence is granted by CSIRO where you obtain the Software Premium Version or Software Viewer other than from the Hosting and Distribution Service Website or CSIRO directly and in accordance with any notified conditions.

This licence of the Software Premium Version or Software Viewer extends to any enclosed or related documentation that CSIRO chooses, in its absolute discretion, to provide to you.

4. Your access to the Software Premium Viewer or Software Viewer

You may only access the Software Premium Version or Software Viewer to which you are granted a licence on a single compatible computing device, and the Software Premium Version or Software Viewer may only be accessed by a single login at any one time.

If you intend for the Software Premium Version or Software Viewer to be used on multiple computing devices simultaneously, or over a network, you should contact CSIRO to discuss licence availability and pricing.

Without limiting your obligations, you must not:

(a) remove, alter or otherwise interfere with any copyright or proprietary notice, warning or disclaimer statement affixed to, incorporated in or otherwise notified by CSIRO in connection with the Software Premium Version or Software Viewer;

(b) reverse engineer, decompile, disassemble or otherwise attempt to discover the source code of the Software Premium Version or Software Viewer, except to the extent you may be expressly permitted under applicable law;

(c) adapt, extend, enhance or make any other improvements to the Software Premium Version or Software Viewer;

(d) distribute, sell, sublicense or otherwise make the whole or part of the Software Premium Version or Software Viewer available for access by a third party (other than your employer or principal) unless permitted to do so under a separate agreement between you and CSIRO;

(e) allow the Software Premium Version or Software Viewer to be combined with or incorporated into other Software Premium Version or Software Viewer except as allowed in Clause 5 below;

(f) install the Software Premium Version or Software Viewer on a file server, network or other feature allowing multiple concurrent users to access the Software Premium Version or Software Viewer unless you have a separate license to do so;

(g) release or distribute the Software Premium Version or Software Viewer on the Internet or any other communication network, unless CSIRO has separately granted you written permission to do so; or

(h) access or use the Software Premium Version or Software Viewer in any way which contravenes any applicable law.

5. Third party products and content

The Software Premium Version or Software Viewer may allow you to access and interoperate with third party websites, software applications, data services, or in environments that allow automation (e.g. macros) (‘third party offerings’). Your access to and use of any third party offering, including any goods, services or information, is governed by the relevant third party's terms and conditions applying to such offerings. CSIRO does not represent or warrant that the Software Premium Version or Software Viewer will enable you to access and interoperate with third party offerings, except where expressly set out in this agreement or on a Product Website. Third party offerings are not owned, provided, or endorsed by CSIRO and you access such third party offerings entirely at your own risk.

6. Updates and New Releases

CSIRO may release updates or new releases to the Software Premium Version and/or Software Viewer from time to time, at its absolute discretion and is under no obligation to notify or provide any updates or new releases to you. Where you access any updates or new releases for the Software Premium Version or Software Viewer that CSIRO may provide, the terms of this agreement apply to those updates and new releases as part of the Software Premium Version or Software Viewer. CSIRO may impose additional conditions and fees on access to those updates and new releases in accordance with any terms provided with the update or new release, or posted on a website from which it is available.

7. Maintenance Services

CSIRO will provide Maintenance Services for the Software Premium Version during the Term. CSIRO is under no obligation to provide Maintenance Services for the Software Viewer, but may do so in CSIRO’s absolute discretion. You agree to notify CSIRO promptly of any problems with the Software Premium Version which are eligible for Maintenance Services (see the definition of “Maintenance Services and clause 9) and for which you may wish to request Maintenance Services. CSIRO may refuse to provide any or all Maintenance Services without fault in the event that you have unreasonably delayed in notifying CSIRO or provided insufficient details of the alleged problem and this limits or adversely impacts CSIRO’s ability to investigate the cause or identify the appropriate remedy for the alleged problem.

8. Support Services

CSIRO will not provide to you any support or Support Services for the Software Premium Version or Software Viewer. You acknowledge that you may require Support Services in order to use and obtain the full benefits of the Software Premium Version and/or Software Viewer. Before you access the Software Premium Version or Software Viewer we recommend that you arrange for Support Services from a Support Supplier.

9. Exclusions

Maintenance Services provided to you under this agreement do not include the following:

a) correction of errors or defects caused by the operation of the Software Premium Version or Software Viewer in a manner other than that currently specified by CSIRO;

b) correction of errors or defects caused by modification, revision, variation, translation or alteration of the Software Premium Version or Software Viewer not authorised by CSIRO;

c) correction of errors or defects caused by the use of the Software by a person not authorised by CSIRO;

d) correction of errors caused in whole or in part by the use of computer programs other than the Software;

e) correction of errors caused by your failure to provide suitably qualified and adequately trained operating and programming staff for the operation of the Software Premium Version or Software Viewer;

f) correction of operator errors;

g) correction of errors caused by incorrect use of the Software Premium Version or Software Viewer;

h) correction of errors caused by an equipment fault or malfunction, or corrupt/ faulty data;

i) equipment maintenance;

j) diagnosis or rectification of faults not associated with the Software Premium Version or Software Viewer;

k) correction of errors arising directly or indirectly out of your failure to comply with this agreement or any other agreement you have with CSIRO;

l) correction of errors or defects which are the subject of a warranty under another agreement; or

m) any service in relation to the Software Premium Version or Software Viewer, except where CSIRO agrees in its absolute discretion.

10. No warranty or representations

EXCEPT AS EXPRESSLY STATED IN THIS AGREEMENT AND TO THE FULL EXTENT PERMITTED BY APPLICABLE LAW, THE SOFTWARE PREMIUM VERSION OR SOFTWARE VIEWER ARE PROVIDED "AS-IS". CSIRO MAKES NO REPRESENTATIONS, WARRANTIES OR CONDITIONS OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY REPRESENTATIONS, WARRANTIES OR CONDITIONS REGARDING THE CONTENTS OR ACCURACY OF THE SOFTWARE PREMIUM VERSION OR SOFTWARE VIEWER, OR OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, NON-INFRINGEMENT, THE ABSENCE OF LATENT OR OTHER DEFECTS, OR THE PRESENCE OR ABSENCE OF ERRORS, WHETHER OR NOT DISCOVERABLE.

TO THE FULL EXTENT PERMITTED BY APPLICABLE LAW, IN NO EVENT SHALL CSIRO BE LIABLE ON ANY LEGAL THEORY (INCLUDING, WITHOUT LIMITATION, IN AN ACTION FOR BREACH OF CONTRACT, NEGLIGENCE OR OTHERWISE) FOR ANY CLAIM, LOSS, DAMAGES OR OTHER LIABILITY HOWSOEVER INCURRED. WITHOUT LIMITING THE SCOPE OF THE PREVIOUS SENTENCE THE EXCLUSION OF LIABILITY SHALL INCLUDE: LOSS OF PRODUCTION OR OPERATION TIME, LOSS, DAMAGE OR CORRUPTION OF DATA OR RECORDS; OR LOSS OF ANTICIPATED SAVINGS, OPPORTUNITY, REVENUE, PROFIT OR GOODWILL, OR OTHER ECONOMIC LOSS; OR ANY SPECIAL, INCIDENTAL, INDIRECT, CONSEQUENTIAL, PUNITIVE OR EXEMPLARY DAMAGES, ARISING OUT OF OR IN CONNECTION WITH THIS AGREEMENT, ACCESS OF THE SOFTWARE PREMIUM VERSION OR SOFTWARE VIEWER OR ANY OTHER DEALINGS WITH THE SOFTWARE PREMIUM VERSION OR SOFTWARE VIEWER, EVEN IF CSIRO HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH CLAIM, LOSS, DAMAGES OR OTHER LIABILITY.

APPLICABLE LEGISLATION SUCH AS THE AUSTRALIAN CONSUMER LAW MAY APPLY REPRESENTATIONS, WARRANTIES, OR CONDITIONS, OR IMPOSE OBLIGATIONS OR LIABILITY ON CSIRO THAT CANNOT BE EXCLUDED, RESTRICTED OR MODIFIED TO THE FULL EXTENT SET OUT IN THE EXPRESS TERMS OF THIS CLAUSE ABOVE "CONSUMER GUARANTEES". TO THE EXTENT THAT SUCH CONSUMER GUARANTEES CONTINUE TO APPLY, THEN TO THE FULL EXTENT PERMITTED BY THE APPLICABLE LEGISLATION, THE LIABILITY OF CSIRO UNDER THE RELEVANT CONSUMER GUARANTEE IS LIMITED (WHERE PERMITTED AT CSIRO’S OPTION) TO ONE OF FOLLOWING REMEDIES OR SUBSTANTIALLY EQUIVALENT REMEDIES:

(a) THE REPLACEMENT OF THE SOFTWARE PREMIUM VERSION OR SOFTWARE VIEWER, THE SUPPLY OF EQUIVALENT SOFTWARE, OR SUPPLYING RELEVANT SERVICES AGAIN;

(b) THE REPAIR OF THE SOFTWARE PREMIUM VERSION OR SOFTWARE VIEWER;

(c) THE PAYMENT OF THE COST OF REPLACING THE SOFTWARE PREMIUM VERSION OR SOFTWARE VIEWER, OF ACQUIRING EQUIVALENT SOFTWARE, HAVING THE RELEVANT SERVICES SUPPLIED AGAIN, OR HAVING THE SOFTWARE REPAIRED; OR

(d) BY REFUNDING: (I) ANY MONEY PAID BY YOU FOR THE LICENCE UNDER CLAUSE 3 AND ACCESS RIGHTS UNDER CLAUSE 4 OF THIS AGREEMENT OR (II) AN AMOUNT THAT IS EQUAL TO THE VALUE OF ANY OTHER CONSIDERATION PROVIDED BY YOU FOR THE LICENCE UNDER CLAUSE 3 AND ACCESS RIGHTS UNDER CLAUSE 4 OF THIS AGREEMENT.

IN THIS CLAUSE, CSIRO INCLUDES ANY THIRD PARTY AUTHOR OR OWNER OF ANY PART OF THE SOFTWARE PREMIUM VERSION OR SOFTWARE VIEWER OR MATERIAL DISTRIBUTED WITH IT. CSIRO MAY ENFORCE ANY RIGHTS ON BEHALF OF THE RELEVANT THIRD PARTY.

11. Termination

Software Viewer

CSIRO may terminate your licence to the Software Viewer at will and without fault by any of the following means:

(a) notifying you in writing; or

(b) by posting a notice on a Product Website.

The effective date of termination will be 30 days after notice is posted or given, except that CSIRO may terminate immediately if (i) you commit any breach of this agreement; (ii) you become insolvent or are subject to any form of insolvency administration; or (iii) you cease or threaten to cease conducting business in the normal manner.

Software Premium Product

CSIRO may terminate your licence to the Software Premium Version without fault immediately by written notice to you if (i) you are in breach of this agreement and to the extent that breach is capable of being rectified you fail to do so within 30 days after receipt of CSIRO’s notice to do so; (ii) you are in breach of this agreement and that breach is not capable of being rectified; (iii) you become insolvent or are subject to any form of insolvency administration or proceedings; (iv) you cease or threaten to cease conducting business in the normal manner; or (v) your initial or ongoing access to the Software Premium Product contravenes any applicable law.

Consequences of termination

On termination, the licence set out in clause 3 ends and all your rights to access the Software Premium Version or Software Viewer under clause 4 and to Maintenance Services under clause 7 cease and you must destroy or permanently delete all copies of the Software Premium Version or Software Viewer in your possession or control. You must confirm you have done this in writing if requested by CSIRO.

Termination does not affect CSIRO's ability to claim damages or other compensation for breach of this agreement or of CSIRO's rights at law, including for access to or distribution of the Software Premium Version or Software Viewer without a valid licence.

You agree that damages may not be appropriate as an exclusive remedy in respect of all breaches of this agreement and CSIRO will be entitled to seek and obtain an injunction (including on an interim basis) to prevent any alleged breach of this agreement or its rights to the Software Premium Version or Software Viewer, in addition to any right to recover damages.

12. No use of CSIRO name

You must not use the name, any trade mark or logo of CSIRO to claim any sponsorship, endorsement, approval or affiliation or other association with CSIRO by virtue of this agreement or your access to the Software Premium Version or Software Viewer, unless you have express written permission from an authorised officer of CSIRO.

13. Privacy

By accessing the Software Premium Version or Software Viewer you may be submitting information, including personal information as defined in the Privacy Act 1988 (Cth), to CSIRO and other third parties over the Internet. This may include an automatic connection to the Internet to check for the availability of updates, or in order to process other automated requests. CSIRO is required to treat your personal information in accordance with the Privacy Act 1988 (Cth). You should review the specifications (if any) and other information provided with the Software Premium Version or Software Viewer to obtain further information regarding the type of information that CSIRO or third parties may collect as part of your access to the Software Premium Version or Software Viewer, and the scope of permitted use.

14. Resolving disputes

In any dispute arising out of or in connection with this agreement or the Software Premium Version or Software Viewer (excluding any dispute relating to or arising from or in relation to your arrangements with a Support Supplier), please contact CSIRO and provide written details of the alleged dispute. You agree to negotiate in good faith with CSIRO to resolve the dispute. If the dispute is not resolved by those negotiations within 30 days, you will notify CSIRO before taking any court or other legal proceedings, and either party may refer the dispute to the Australian Commercial Dispute Centre Limited ('ACDC') for resolution by mediation in accordance with the ACDC Guidelines on Mediation. However, this does not limit CSIRO's rights under the agreement or prevent CSIRO from seeking any urgent interlocutory relief.

15. Notices

All notices to CSIRO under this agreement concerning Maintenance Services should be addressed to Peter Mason at peter.mason@csiro.au . All other notices under this agreement should be addressed to Andrew Rodger at andrew.rodger@csiro.au . If notices sent to these addresses should fail for any reason, please address your notice to CSIRO Enquiries at enquiries@csiro.au .

16. Entire agreement

All international conventions that might import contractual terms into this agreement are excluded, including the United Nations Convention on Contracts for the International Sale of Goods.

This agreement is to be read subject to any laws (to the extent they are applicable in the circumstances) that cannot be excluded, so that the agreement will as far as possible be valid and enforceable by CSIRO in the relevant circumstance.

17. The governing law

This agreement is governed by and construed in accordance with the laws of New South Wales, Australia and you agree to submit to the exclusive jurisdiction of the courts in that State.


Licence Server

We (CSIRO) lease a licence sevice from Concept Software Inc. (https://www.softwarekey.com/) The licence server is securely located in the U.S.A.
To clarify: The licence server is not something that you have to set up. All TSG 8 customers access the same server.

TSG accesses licence-server web services over the internet, using HTTPS and HTTP protocols.

Proxy access

If your PC accesses the internet via a proxy then your proxy service may need to be configured to grant access to https://secure.softwarekey.com on ports 443 (HTTPS) and 80 (HTTP).